package com.ssm.manage.dao;

import com.ssm.manage.entity.CashList;
import com.ssm.manage.entity.ServiceOrder;
import com.ssm.manage.entity.ServiceOrders;
import com.ssm.manage.query.CashListRequest;
import com.ssm.manage.query.ServiceOrdersRequest;

import java.util.List;

public interface SsmServiceOrdersDao extends BaseDao<ServiceOrders> {
    List<ServiceOrders> selectGroup(ServiceOrdersRequest serviceOrdersRequest);
    List<ServiceOrders> selectGroupIsPage(ServiceOrdersRequest serviceOrdersRequest);
    List<ServiceOrders> getDocNum(ServiceOrdersRequest serviceOrdersRequest);
    List<ServiceOrders> getSettsNum(ServiceOrdersRequest serviceOrdersRequest);

    int addServiceOrders(ServiceOrders serviceOrders);

    int cancelServiceOrders(ServiceOrders serviceOrders);
    ServiceOrders one(ServiceOrdersRequest serviceOrders);

    List<ServiceOrders> selectPage2(ServiceOrdersRequest cashListRequest);
}
